from numpy import load, save
from utils.utils import modify_orders

optimal_orders = load('subset.npy', allow_pickle=True).astype('object')

# sort the optimal_orders
optimal_orders = [sorted(i, reverse=False) for i in optimal_orders]

# modify the optimal orders for evaluation
# optimal orders contains the index of accepted orders, -->1 accepted
result = modify_orders(optimal_orders)

save('optimal_acception.npy', result)



