from numpy import savez_compressed
from environment.requestGenerator import RequestGenerator



# Create RequestGenerator instance to generate 10000 requests
request_generator = RequestGenerator(10000)

# Generate training data for 1 game
orders, rewards = request_generator.generate_requests(1)

# Save orders and rewards to npz file
savez_compressed('orders-10000.npz', orders)
savez_compressed('rewards-10000.npz', rewards)


