from environment.wendtris import Wendtris
from collections import deque


#############################
# Initialize the environment, with penalty factor 2
#############################s
env = Wendtris(20, 6, 6, 2)

#############################
# Model Params (fixed)
#############################
n_state = len(env.state)            # Number of input
n_action = env.action_space.n       # Number of output
#n_hidden = 12                       # Number of hidden neurons
#lr = 0.001                          # Learning rate
gamma = 1                           # Discount factor

epsilon_decay = True               # Using epsilon decay
tau_decay = True                   # Using boltzmann exploration, decay temperature

replay_buffer = deque(maxlen=10000) # Size of replay buffer
#replay_batch_size = 64              # Size of replay batch
